I have an Active Directory domain that is in need of NSM but 2 of my domain controllers are Windows 2008. According to the documentation for 2.0 Windows 2008 is not supported. Is 2.5 for AD going to be released soon which I am assuming will support 2008?